Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_QoSProperties Class Reference

@brief. More...

`#include <QoSProperties.h>`

Inheritance diagram for TAO_NS_QoSProperties:

[legend]
Collaboration diagram for TAO_NS_QoSProperties:

[legend]
List of all members.

## Public Methods
| TAO_NS_QoSProperties (void)
| Constuctor. More...
| ~TAO_NS_QoSProperties ()
| Destructor. More...
int | init (const CosNotification::PropertySeq &prop_seq, CosNotification::PropertyErrorSeq &err_seq)
| Return 0 on success, 1 if unsupported properties were detected and -1 on error. More...
void | transfer (TAO_NS_QoSProperties &qos_properties)
| Populate <qos_properties> with properties that can be transfered. More...
const TAO_NS_Property_ThreadPool & | thread_pool (void) const
| = Accessors ThreadPool. More...
const TAO_NS_Property_ThreadPoolLanes & | thread_pool_lane (void) const
| ThreadPoolLane. More...
const TAO_NS_Property_Long & | maximum_batch_size (void) const
| Maximum Batch Size. More...
const TAO_NS_Property_Time & | pacing_interval (void) const
| Pacing Interval. More...
## Protected Types
enum | { UNSUPPORTED_PROPERTY_COUNT = 3 }
## Protected Methods
int | unsupported (ACE_CString &name)
| Return 1 if <value> is unsupported. More...
## Protected Attributes
ACE_CString | unsupported_ [UNSUPPORTED_PROPERTY_COUNT]
| = Unsupported Properties. More...
TAO_NS_Property_Short | priority_
| = Supported properties Priority. More...
TAO_NS_Property_Time | timeout_
| Timeout. More...
TAO_NS_Property_Boolean | stop_time_supported_
| Stop Time Supported. More...
TAO_NS_Property_Long | maximum_batch_size_
| Maximum Batch Size. More...
TAO_NS_Property_Time | pacing_interval_
| Pacing Interval. More...
TAO_NS_Property_ThreadPool | thread_pool_
| ThreadPool Params. More...
TAO_NS_Property_ThreadPoolLanes | thread_pool_lane_
| ThreadPoolLane Params. More...

## Detailed Description

@brief.

## Member Enumeration Documentation

anonymous enum`[protected]`

  | Enumeration values:
  UNSUPPORTED_PROPERTY_COUNT |

## Constructor & Destructor Documentation

TAO_NS_QoSProperties::TAO_NS_QoSProperties | ( | void |  | ) |

| Constuctor.

TAO_NS_QoSProperties::~TAO_NS_QoSProperties | ( |  | ) |

| Destructor.

## Member Function Documentation

int TAO_NS_QoSProperties::init | ( | const CosNotification::PropertySeq & | prop_seq,
|  | CosNotification::PropertyErrorSeq & | err_seq
| ) |

| Return 0 on success, 1 if unsupported properties were detected and -1 on error.

const TAO_NS_Property_Long& TAO_NS_QoSProperties::maximum_batch_size | ( | void |  | ) | const

| Maximum Batch Size.

const TAO_NS_Property_Time& TAO_NS_QoSProperties::pacing_interval | ( | void |  | ) | const

| Pacing Interval.

const TAO_NS_Property_ThreadPool& TAO_NS_QoSProperties::thread_pool | ( | void |  | ) | const

| = Accessors ThreadPool.

const TAO_NS_Property_ThreadPoolLanes& TAO_NS_QoSProperties::thread_pool_lane | ( | void |  | ) | const

| ThreadPoolLane.

void TAO_NS_QoSProperties::transfer | ( | TAO_NS_QoSProperties & | qos_properties | ) |

| Populate <qos_properties> with properties that can be transfered.

int TAO_NS_QoSProperties::unsupported | ( | ACE_CString & | name | ) | `[protected]`

| Return 1 if <value> is unsupported.

## Member Data Documentation

TAO_NS_Property_Long TAO_NS_QoSProperties::maximum_batch_size_`[protected]`

| Maximum Batch Size.

TAO_NS_Property_Time TAO_NS_QoSProperties::pacing_interval_`[protected]`

| Pacing Interval.

TAO_NS_Property_Short TAO_NS_QoSProperties::priority_`[protected]`

| = Supported properties Priority.

TAO_NS_Property_Boolean TAO_NS_QoSProperties::stop_time_supported_`[protected]`

| Stop Time Supported.

TAO_NS_Property_ThreadPool TAO_NS_QoSProperties::thread_pool_`[protected]`

| ThreadPool Params.

TAO_NS_Property_ThreadPoolLanes TAO_NS_QoSProperties::thread_pool_lane_`[protected]`

| ThreadPoolLane Params.

TAO_NS_Property_Time TAO_NS_QoSProperties::timeout_`[protected]`

| Timeout.

ACE_CString TAO_NS_QoSProperties::unsupported_[UNSUPPORTED_PROPERTY_COUNT]`[protected]`

| = Unsupported Properties.

The documentation for this class was generated from the following files:

- QoSProperties.h
- QoSProperties.cpp